using Avalonia;
using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Markup.Xaml;
using System;
using System.Text.RegularExpressions;

namespace FoodLogProject.Views;

public partial class Page3 : UserControl
{
    public Page3()
    {
        InitializeComponent();
        
    }

    public void CheckRegNumber(object sender, RoutedEventArgs e)
    {
        bool check1;
        Regex number = new Regex("^8\\(\\d{3}\\)\\d{3}-\\d{2}-\\d{2}$");
        if (!number.IsMatch(Number.Text))
        {
            ShowMessageNumber.Text = "  ";
            check1 = false;
        }
    }

    public void CheckRegName(object sender, RoutedEventArgs e)
    {
        bool check2;
        Regex number = new Regex("^[-]{1}[-]{1,}$");
        if (!number.IsMatch(Name.Text))
        {
            ShowMessageName.Text = "  ";
            check2 = false;
        }
    }
}